Bug 238332 - security/rubygem-bcrypt: Update to 3.1.13
Summary: security/rubygem-bcrypt: Update to 3.1.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-05 06:23 UTC by Sir l33tname
Modified: 2019-06-11 05:08 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)
meta: merge-quarterly-


Attachments
security/rubygem-bcrypt upgrade 3.1.12 -> 3.1.13 (2.83 KB, patch)
2019-06-05 06:23 UTC, Sir l33tname
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sir l33tname 2019-06-05 06:23:24 UTC
Created attachment 204833 [details]
security/rubygem-bcrypt upgrade 3.1.12 -> 3.1.13

The main thing fixed in this version is that it can build native on FreeBSD again without patches. see https://github.com/codahale/bcrypt-ruby/pull/189
Comment 1 Koichiro Iwao freebsd_committer 2019-06-06 00:45:41 UTC
I think whichever merging quarterly or not is OK. The current 3.1.12 also builds on >= 12 with patches. 3.1.13 can remove these patches.
Comment 2 commit-hook freebsd_committer 2019-06-06 01:04:50 UTC
A commit references this bug:

Author: meta
Date: Thu Jun  6 01:04:23 UTC 2019
New revision: 503556
URL: https://svnweb.freebsd.org/changeset/ports/503556

Log:
  security/rubygem-bcrypt: Update to 3.1.13

  This version build on FreeBSD >= 12 again without patches.

  PR:		238332
  Submitted by:	Sir l33tname <sirl33tname@gmail.com>

Changes:
  head/security/rubygem-bcrypt/Makefile
  head/security/rubygem-bcrypt/distinfo
  head/security/rubygem-bcrypt/files/
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-07 07:26:19 UTC
(In reply to Koichiro Iwao from comment #1)

Does the quarterly version build (in its current state)? 

If so, this doesn't need to be merged (set merge-quarterly flag to -, with comment)

If not, please MFH, set merge-quarterly flag to + (when merged) and resolve/close at your convenience
Comment 4 Koichiro Iwao freebsd_committer 2019-06-07 10:31:10 UTC
(In reply to Kubilay Kocak from comment #3)
quarterly branch builds. Closing.